#include<bits/stdc++.h>
using namespace std;
int brdel(int n)
{
    int br=2;
    for(int i=2; i*i<=n; i++)
    {
        if(n%i==0)
        {
            br+=2;
        }
    }
    return br;
}
int main()
{
    int n,h,br=0,k;
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        if(n%i==0)
        {
            h=n/i;
            k=brdel(h);
            if(brdel(h)%2==1)
            {
                br+=(k-1)/2;
                br++;
            }
            else
            {
                br+=k/2;
            }
        }
    }
    cout<<(br-1)/3+1;
    return 0;
}
